<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
    xmlns:webflow="http://www.springframework.org/schema/webflow-config"
    xmlns:mvc="http://www.springframework.org/schema/mvc"
    xmlns:jee="http://www.springframework.org/schema/jee"
    xsi:schemaLocation="
        http://www.springframework.org/schema/beans
        http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
        http://www.springframework.org/schema/webflow-config
        http://www.springframework.org/schema/webflow-config/spring-webflow-config-2.0.xsd
        http://www.springframework.org/schema/context 
        http://www.springframework.org/schema/context/spring-context-3.0.xsd
        http://www.springframework.org/schema/mvc
        http://www.springframework.org/schema/mvc/spring-mvc-3.0.xsd
        http://www.springframework.org/schema/jee
        http://www.springframework.org/schema/jee/spring-jee-3.0.xsd">

    <import resource="PresentationContextTemplate.xml" />

    <mvc:interceptors>
        <!-- gov.va.med.pharmacy.peps.presentation.common.spring.interceptor.test.stub.LoginSpringInterceptorStub -->
        <bean id="springLoginInterceptor"
            class="gov.va.med.pharmacy.peps.presentation.common.spring.interceptor.LoginSpringInterceptor">
            <property name="userService" ref="userService" />
            <property name="environmentUtility" ref="environmentUtility" />
        </bean>
    </mvc:interceptors>
</beans>